Subject: Re: Failure in building Emacs 23.0.50 on Cygwin
From: Dan Nicolaescu <[email-masked]>
To: Angelo Graziosi <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 29 Aug 2007 17:56:51 -0700
List-Id: <cygwin.cygwin.com>

Angelo Graziosi <[email-masked]> writes:

  > I have tried to bootstrap the last Emacs-23.0.50 CVS (checked out about an
  > hour ago) on Cygwin, but it fails:

[snip]  

  > gcc   -Wl,--enable-auto-import -Wl,--enable-auto-image-base
  > -L/usr/X11R6/lib -o temacs ecrt0.o dispnew.o frame.o scroll.o xdisp.o
  > xmenu.o window.o charset.o coding.o category.o ccl.o cm.o term.o
  > terminal.o xfaces.o xterm.o xfns.o xselect.o xrdb.o fontset.o xsmfns.o
  > fringe.o image.o  emacs.o keyboard.o macros.o keymap.o sysdep.o buffer.o
  > filelock.o insdel.o marker.o minibuf.o fileio.o dired.o filemode.o cmds.o
  > casetab.o casefiddle.o indent.o search.o regex.o undo.o alloc.o data.o
  > doc.o editfns.o callint.o eval.o floatfns.o fns.o print.o lread.o abbrev.o
  > syntax.o unexcw.o bytecode.o process.o callproc.o region-cache.o sound.o
  > atimer.o doprnt.o strftime.o intervals.o textprop.o composite.o md5.o
  > sheap.o terminfo.o gmalloc.o ralloc.o lastfile.o vm-limit.o  widget.o
  > mktime.o getloadavg.o   ../lwlib/liblw.a -L/usr/X11R6/lib -lXaw3d -lXmu
  > -lXt -lSM -lICE -lXext -ltiff -ljpeg -lpng -lz -lm -lungif -lXpm -lX11
  > -lcurses -lg  `gcc -print-libgcc-file-name` -lm -lc `gcc
  > -print-libgcc-file-name`
  > term.o: In function `dissociate_if_controlling_tty':
  > /tmp/emacs/src/term.c:3146: undefined reference to `_croak'
  > collect2: ld returned 1 exit status
  > make[2]: *** [temacs.exe] Error 1
  > make[2]: Leaving directory `/tmp/emacs/build/src'
  > make[1]: *** [bootstrap-build] Error 2
  > make[1]: Leaving directory `/tmp/emacs/build'
  > make: *** [bootstrap] Error 2
  > ---------------------------------------------------------------
  > 
  > (Note that term.c was one of the last update files before I checked out
  > CVS)
  > 
  > 
  > The same CVS bootstraps fine on GNU/Linux SLC4.
  > 
  > 
  > The CVS of 20070819 builds fine on both systems (linux and cygwin)

This is because the multi-tty branch got merged into emacs CVS
mainline. Most likely nobody tried it on cygwin before. Someone that
uses cygwin needs to take a look at what does it take to make it
compile again. Probably just a few #ifs need to be updated.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/